Bug 575787

Summary: [abrt] crash in kdebase-workspace-4.4.1-2.fc12: Process /usr/bin/krunner was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Samuel <samuel2>
Component: kdebase-workspaceAssignee: Ngo Than <than>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: adundovi, andrs, claudemir.franco, davide.rondini, fedora, jreznik, kevin, ltinkl, mathstuf, muel, rdieter, smparrish, than
Target Milestone: ---Keywords: MoveUpstream
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard: abrt_hash:c0e61907e698b21a6545aa16e48cf2bb1efbec71
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 11:55:15 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace none

Description Samuel 2010-03-22 08:48:12 EDT
abrt 1.0.8 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: krunner --nocrashhandler
component: kdebase-workspace
executable: /usr/bin/krunner
kernel: 2.6.31.9-174.fc12.i686.PAE
package: kdebase-workspace-4.4.1-2.fc12
rating: 4
reason: Process /usr/bin/krunner was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)
Comment 1 Samuel 2010-03-22 08:48:14 EDT
Created attachment 401743 [details]
File: backtrace
Comment 2 Steven M. Parrish 2010-03-28 18:37:24 EDT
Thank you for taking the time to report this issue to us.  This is an issue which is best addressed by the upstream developers.

Please file a report at bugs.kde.org , and when done add the upstream report info to this report.

We will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.

Steven M. Parrish
KDE & Packagekit Triager 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Andrej 2010-03-29 14:58:12 EDT

How to reproduce
-----
1. run Krunner with Alt+F2
2. use it as calculator (example: 100/50= )
3. Krunner crash


Comment
-----
I can't reproduce it every time, but in 10% of calculation Krunner crash.
Plugins:
[Plugins]
PowerDevilEnabled=true
audioplayercontrolEnabled=true
bookmarksEnabled=true
browserhistoryEnabled=true
calculatorEnabled=true
desktopsessionsEnabled=true
kabccontactsEnabled=true
katesessionsEnabled=true
killEnabled=true
konquerorsessionsEnabled=true
konsolesessionsEnabled=true
kopete_runnerEnabled=true
krunner_kgetEnabled=true
krunner_spellcheckEnabled=false
locationsEnabled=true
placesEnabled=true
plasma-desktopEnabled=true
recentdocumentsEnabled=true
servicesEnabled=true
shellEnabled=true
solidEnabled=true
techbaseEnabled=false
unitconverterEnabled=true
webshortcutsEnabled=true
wikipediaEnabled=false
wikitravelEnabled=false
windowsEnabled=true
Comment 4 Davide Rondini 2010-04-12 05:58:25 EDT

How to reproduce
-----
1. Run Krunner
2. type a formula
3. press Enter


Comment
-----
Since the session started, Krunner was exteremely slow, and reacted to commands typed with a delay of some seconds. I disabled Nepomuk from the plugins, but it did not help. The last time, while tiping a math expression, it crashed.
Comment 5 Davide Rondini 2010-04-12 06:23:51 EDT
It seems that the upstream bug is one of these:

http://bugs.kde.org/show_bug.cgi?id=221330
http://bugs.kde.org/show_bug.cgi?id=225260
http://bugs.kde.org/show_bug.cgi?id=224902
Comment 6 Steven M. Parrish 2010-05-05 07:54:35 EDT
This is an issue which needs to be addressed by the upstream developers.  Please file a report at http://bugs.kde.org  once that is done please add the upstream bug information to this report.  We will monitor the upstream report for a resolution. 

Thanks
Comment 7 Karel Klíč 2010-05-25 05:48:16 EDT
*** Bug 590220 has been marked as a duplicate of this bug. ***
Comment 8 Steven M. Parrish 2010-06-21 20:11:49 EDT
KDE Version 4.4.4 is now available.  Please update to the this latest release and retest the application.  Please advise if you are still having the same issue as documented.  Any reports not updated within 30 days will be closed.

Thanks from the Fedora KDE Team
Comment 9 Bug Zapper 2010-11-03 14:55:36 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-12-03 11:55:15 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.